Collect click data from Wikidata prefix search into event logs
Closed, ResolvedPublic

Description

In order to make any research into improving Wikidata search, we want to know what the users are selecting when using Wikidata prefix search. Unfortunately, right now there is no data set which allows to know that. We want to add event collections that would do the following:

Once the user performed completion search and clicked on certain item (either in top search box or entity selector), we want to record:

  • search results presented to the user
  • the result that the user selected
  • context (whether it was top box, entity selector, etc.) - we need to see how much of it we want here

TBD:

  • do we want to enable it for all users?
  • do we want linking to search query logs? (looks like currently not)
Smalyshev created this task.Jun 1 2018, 7:01 PM
Smalyshev triaged this task as Normal priority.
Smalyshev added a project: User-Smalyshev.
Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.Jun 15 2018, 11:07 PM
Vvjjkkii renamed this task from Collect click data from Wikidata prefix search into event logs to ptbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot renamed this task from ptbaaaaaaa to Collect click data from Wikidata prefix search into event logs.
CommunityTechBot added a subscriber: Aklapper.
Smalyshev moved this task from Next to Doing on the User-Smalyshev board.Jul 9 2018, 5:00 PM

Change 445550 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikimediaEvents@master] Add events for collecting completion clicks

https://gerrit.wikimedia.org/r/445550

Change 447570 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikimediaEvents@master] Collect clicks for Wikibase completion widgets

https://gerrit.wikimedia.org/r/447570

Change 445550 abandoned by Smalyshev:
Add events for collecting completion clicks

Reason:
superceded by I68dd249f0c7e4500e475e60997699e717d8e8955

https://gerrit.wikimedia.org/r/445550

Smalyshev moved this task from Doing to In review on the User-Smalyshev board.Jul 25 2018, 12:31 AM

Change 447570 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Collect clicks for Wikibase completion widgets

https://gerrit.wikimedia.org/r/447570

Smalyshev moved this task from Waiting/Blocked to Done on the User-Smalyshev board.

Change 449268 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikimediaEvents@master] Do not track clicks when there's no real choice

https://gerrit.wikimedia.org/r/449268

debt closed this task as Resolved.Jul 31 2018, 5:54 PM

Change 449268 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Do not track clicks when there's no real choice

https://gerrit.wikimedia.org/r/449268

Change 450080 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikimediaEvents@wmf/1.32.0-wmf.15] Do not track clicks when there's no real choice

https://gerrit.wikimedia.org/r/450080

Change 450080 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@wmf/1.32.0-wmf.15] Do not track clicks when there's no real choice

https://gerrit.wikimedia.org/r/450080